Skip to navigation

Update WellPlate

Beta
Update WellPlate.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

well_plate_idstringRequired
ID of the WellPlate.

Headers

EARLY-ACCESSstringOptional

Set to true to access beta operations via /api/v3.

Request

This endpoint expects an object.
archiveReasonstringOptional
Why the plate is archived
archivedbooleanOptional
Whether the plate is archived
barcodestringOptional
Barcode of the plate
namestringOptional

Name of the plate; defaults to barcode if name is not provided

parentStorageIdstring or nullOptional
projectIdstring or nullOptional
schemaFieldsmap from strings to objectsOptional
Schema field values that belong to the plate

Response

OK
__typenamestringOptional
creatorobjectOptional
The user who created the plate
schemaFieldslist of objects or nullOptional
Schema field values that belong to the plate
archiveReasonstring or nullOptional
Why the plate is archived
archivedbooleanOptional
Whether the plate is archived
barcodestring or nullOptional
Barcode of the plate
createdAtstringOptional
DateTime the plate was created
idstringOptional
ID of the plate
modifiedAtstringOptional
DateTime the plate was last modified
namestringOptional

Name of the plate; defaults to barcode if name is not provided

parentStorageobject or nullOptional
Containing parent storage
projectobject or nullOptional
The project the plate is associated with
schemaobjectOptional
The schema of the plate

Errors

400
Well Plate Update Request Bad Request Error
403
Well Plate Update Request Forbidden Error
404
Well Plate Update Request Not Found Error
409
Well Plate Update Request Conflict Error
429
Well Plate Update Request Too Many Requests Error
500
Well Plate Update Request Internal Server Error